{
  "repositories": [
    {
      "type": "composer",
      "url": "https://wpackagist.org"
    },
    {
      "type": "package",
      "package": {
        "name": "3rdparty/gravityforms",
        "type": "wordpress-plugin",
        "version": "2.2.3",
        "source": {
          "url": "https://gitlab.com/saburly/wiaas/3rdparty/gravityforms",
          "type": "git",
          "reference": "origin/master"
        }
      }
    },
    {
      "type": "package",
      "package": {
          "name": "3rdparty/gravityflow",
          "type": "wordpress-plugin",
          "version": "2.2.3",
          "source": {
            "url": "https://gitlab.com/saburly/wiaas/3rdparty/gravityflow",
            "type": "git",
            "reference": "origin/master"
          }
      }
    },
    {
      "type": "package",
      "package": {
        "name": "3rdparty/woocommerce-product-bundles",
        "type": "wordpress-plugin",
        "version": "5.7.11",
        "dist": {
          "url": "3rdparty/woocommerce-product-bundles.zip",
          "type": "zip"
        }
      }
    }
  ],
  "require": {
    "php": ">=5.6",
    "composer/installers": "1.5.0",
    "johnpbloch/wordpress": "4.9.7",
    "oscarotero/env": "1.1.0",
    "roots/wp-password-bcrypt": "1.0.0",

    "wpackagist-plugin/akismet": "4.0.3",
    "wpackagist-plugin/hello-dolly": "1.6",
    "woocommerce/woocommerce": "3.4.4",
    "wpackagist-plugin/woocommerce-jetpack": "3.7.0",
    "wpackagist-plugin/groups": "2.3.1",
    "wpackagist-plugin/klarna-checkout-for-woocommerce": "1.5.2",
    "wpackagist-plugin/mailchimp-for-woocommerce": "2.1.7",
    "wpackagist-plugin/woocommerce-gateway-paypal-express-checkout": "1.5.6",
    "wpackagist-plugin/jwt-authentication-for-wp-rest-api": "1.2.4",
    "wpackagist-plugin/capability-manager-enhanced": "1.5.9",
    "wpackagist-plugin/wp-user-groups": "2.2.0",
    "wpackagist-plugin/radio-buttons-for-taxonomies": "1.8.3",

    "3rdparty/gravityforms": "*",
    "3rdparty/gravityflow": "*",
    "3rdparty/woocommerce-product-bundles": "*"
  },
  "require-dev": {
    "vlucas/phpdotenv": "2.5.0"
  },
  "extra": {
    "installer-paths": {
      "app/mu-plugins/{$name}/": ["type:wordpress-muplugin"],
      "app/plugins/{$name}/": ["type:wordpress-plugin"],
      "app/themes/{$name}/": ["type:wordpress-theme"]
    },
    "wordpress-install-dir": "wp/"
  },
  "scripts": {
    "test": [
      "phpcs"
    ],
    "setup": [
      "composer update-db"
    ],
    "activate-plugins": [
      "wp plugin activate woocommerce",
      "wp plugin activate woocommerce-product-bundles",
      "wp plugin activate woocommerce-jetpack",
      "wp plugin activate jwt-authentication-for-wp-rest-api",
      "wp plugin activate gravityforms",
      "wp plugin activate gravityflow",
      "wp plugin activate capability-manager-enhanced",
      "wp plugin activate groups",
      "wp plugin activate wp-user-groups",
      "wp plugin activate radio-buttons-for-taxonomies",
      "wp plugin activate wiaas"
    ],
    "update-db": [
      "wp core update-db",
      "composer activate-plugins",
      "wp wc update",
      "wp wc pb update",
      "wp wiaas update-db"
    ]
  }
}
